In March 2024 I decided to add this file. This file will offer some potential
help, in regards to compiling software from source - just as simple hints
and tipps.

Recently I was trying to compile GCC from source, but the old GCC compiled
had a dependency on libiconv.so. I removed this file, due to another problem,
and as a consequence, I could no longer compile anything. Thus, two advices
to give here:

1) Try to not pull in shared objects, such as libiconv, if you can avoid it.

2) Try to compile at the least the basic parts of a Linux system in a
static manner. That way, for instance, "grep", would still work even if
libiconv.so is gone.

I recommend the following programs to be compiled statically:

- sed
- awk
- make
- grep

In regards to GNU libiconv: this will install the header file called iconv.h,
which conflicts with the glibc iconv.h file. I thus recommend to avoid
GNU libiconv altogether, unless you really need it.

In regards to GCC: I recommend to use the option --enable-bootstrap, when
compiling a new GCC from source. The drawback is that this will take more
time to finish, but in my limited experience I found this option to yield
a better GCC that is less error-prone.
