There are many ways how some compilation or installation step may fail, if
one is to try to install or compile a given program.

This file here attempts to give some specific overview over the possible
errors. Ideally we can gather most commonly encountered errors into
this file, including recommendations how to solve these as well 
manually.

This file may thus also serve as an information-hub but also a bit as a 
first step towards resolution of these errors.

-------------------------------------------------------------------------------
(1) === Gir-related errors

Specific error:

  Couldn't find include '*.gir'

For instance:

  Couldn't find include 'WebKit2-4.0.gir'.

This means that a .gir file was not found. This is somewhat gnome-specific.

Popular paths where .gir files may be normally found are:

  ['.', u'/usr/share/gir-1.0', 
    u'/usr/local/share/gir-1.0',
    u'/Programs/Glib/Current/share/gir-1.0',
    u'/Programs/Glib/Current/share/glib-2.0/schemas/gir-1.0',
    u'/usr/share/gir-1.0', u'/usr/share/gir-1.0',
    u'/usr/share/gir-1.0']

The error means that compilation can not proceed, so "make install",
"ldconfig" and "postinstall" should not be run.

The user may, as solution, see the following line:

  rbt webkitgtk

-------------------------------------------------------------------------------
(2) === Package was not found

Error: No package 'libmate-menu' found

This should yield a suggestion as to how to solve the above situation.

Something like:

  "One suggested way to solve the above issue is by doing:

    rbt matemenus

  "

Do also note that this could be toggled via an auto-resolver, who will
resolve problems like the one listed above. But one step at a time ...

-------------------------------------------------------------------------------
(3) === Meson-related errors

Error:

  ERROR: Command 'meson' not found

The user should use meson, and ninja, and python 3.

The current notification tells the user to install meson, but this
may have to be extended because meson alone is not enough; ninja
and python 3 is also necessary. In September 2017, the notification
was thus changed.

-------------------------------------------------------------------------------
(4) === Python-related errors

Error:

  ImportError: No module named libxml2

This means that there are no python bindings for libxml2. One way to resolve
it is by compiling libxml2 anew. Either way the user should receive some
information e. g. that python has to be installed. It amy suffice to
check for the substring 'ImportError: No module named '.

-------------------------------------------------------------------------------
