This file will contain some logical considerations for the RBT
project.

- The RBT project should be able to give its users the possibility
  of either loading the dataset from a yaml file or from another
  file, or from a sqlite database, specified on the commandline
  or via the API. The current SQLite adapter is experimental as
  of August 2022; future improvements may occur in this regard.

- The user of the RBT project should be able to query every
  relevant information contained in the RBT project in a nice,
  simple and convenient way. The motto here is: "The user is
  always right."

  This query-functionality is primarily provided by the
  RBT::Cookbooks namespace, which was integrated into the
  RBT namespace several years ago.

  For instance, common tasks may include for a user to want
  to query whether a program has certain dependencies or
  whether it has not.

- Use the information from the RBT::Cookbooks submodule to
  help Compile or Install packages. This should also be
  flexible, to allow for different use cases.

- Finish the task by installing or compiling and then
  reporting to the user with information about this task.
  
The main RBT guidelines:

- STAY AS SIMPLE AS POSSIBLE, WHILE MAINTAINING AS MUCH
  FLEXIBILITY AS POSSIBLE. DOCUMENT EXTENSIVELY, BUT 
  FOCUS ON QUALITY WHILE DOING SO.

- extract source of archives, including remote packages

- start to compile, either via configure, scons or cmake
  or meson/ninja

- check for errors:

  If no error, and installed into PROGRAMS dir, continue to 
  symlink

  If error, report to user and stop.

- if the installation was a success, register into database
  and register as last program compiled, too.

------------------------------------------------------------------------

For the compile-related action, the following logical steps may
have to be taken:

(1) Download the source archive (skip this step if the source
    archive is already available locally).

(2) Extract the source archive.

(3) Ensure that the extracted archive exists and cd into
    it if it does not.

(4) Run autoconfigure if specified to do so.

(5) Run "configure" if a configure file exists. If an error
    happens during the configure step, we may not proceed
    into using any make command - use "do_not_use_any_make_step"
    for this.

See the next point, post_configure_logic, for steps past the
configure phase.

------------------------------------------------------------------------
post_configure_logic

This section explains all steps that are to be made in a post-configure
step. The order in this file here should be kept linear, that is -
first come, first serve.

Numbers should be assigned:

  (1) Run "ldconfig", unless disabled, but only for programs
      that have to be compiled. Normal ruby .rb files that
      have no C-bindings, do not have to invoke "ldconfig".

  (2) Register in the global yaml database (optional step)
