The file here contains some information about a SQL representation
of the RBT dataset (more specifically, the dataset from the entries
in a cookbook-file, a yaml file).

The master table is called registered_programs.

The SQL command should look like this:

  CREATE TABLE registered_programs (
    type text,
    name_of_the_program text,
    tbl_name text,
    rootpage integer,
    sql text
  );

To create the master database:

  sqlite3 registered_programs.db

You can view its contents via:

  .databases

To populate the table, try this:

  CREATE TABLE database_name.table_name(
    column1 datatype PRIMARY KEY(one or more columns),
    column2 datatype,
    column3 datatype,
    .....
    columnN datatype
  );

Aka:

  CREATE TABLE REGISTERED_PROGRAMS(
     PROGRAM_NUMBER        INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,
     PROGRAM_NAME          TEXT NOT NULL,
     PROGRAM_PATH          TEXT NOT_NULL,
     EXTRACT_TO            varchar(50),
     USE_THIS_BUILD_SYSTEM varchar(10),
     USE_BUILD_DIRECTORY   BIT,
     LICENCE               varchar(50),
     PROGRAM_NAME_AND_PROGRAM_VERSION varchar(80),
     HOMEPAGE              varchar(80)
  );

Note that a primary key must be unique for each record.

Then populate it:

  INSERT INTO REGISTERED_PROGRAMS (PROGRAM_NUMBER,PROGRAM_NAME,PROGRAM_PATH,EXTRACT_TO,LICENCE) VALUES (1, 'php', '/home/x/src/php/php-7.3.9.tar.xz','MIT');
  INSERT INTO REGISTERED_PROGRAMS (PROGRAM_NUMBER,PROGRAM_NAME,PROGRAM_PATH,EXTRACT_TO,LICENCE) VALUES (2, 'ruby', '/home/x/src/ruby/ruby-2.6.4.tar.xz','MIT');

To overwrite old entries do:

  INSERT or REPLACE INTO REGISTERED_PROGRAMS (ID,PROGRAM_NAME,LOCAL_URL) VALUES (1, 'php', '/home/x/src/php/php-7.3.10.tar.xz');

To display all entries, do:

  select * from REGISTERED_PROGRAMS;
