This file explains the situation when we may have two external projects
that have exactly the same name.

Sometimes there may be multiple names possible for a given program
at hand, all referring to different programs ultimately.

For example, 'foobar' could be a C library - but it could also be
a ruby gem or a perl cpan module.

How does the RBT gem handle these situations?

Currently, since as of August 2018, the Cookbooks submodule of RBT
is limited in the sense that there may be only one name for any given
project at hand. That means that other same-named projects can not
occupy the same "namespace". So information is ultimately lost
here - not an ideal situation.

The present workaround for such situations is to clarify the name.

A leading prefix called "ruby-" or "perl-" may help there, such
as "ruby-foobar" or "perl-foobar", to help distinguish between
multiple different instances of "foobar".

This is not a perfect solution, mind you, but a viable workaround
for the time being.

In the long run, it may be possible to remove this limitation and
allow any name - but for now, since it does not appear to be that
common, the content of this file remains valid. (It will probably
be changed in the long run, though.)

I will consider this when the project contains more programs
as it is then simpler to see which changes are necessary.
