#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
# To test this file, do:
#
#   test_url
#
# =========================================================================== #
require 'rbt/url_action/url_action' # Pull in url_action next.
require 'colours/autoinclude'

REGISTERED_ACTIONS =
  '/home/x/programming/ruby/src/rbt/doc/registered_url_actions.md'
e
e Colours.rev+'Now testing '+sfancy('RBT::UrlAction')+':'
e
e 'It has these available actions:'
registered_actions = File.readlines(REGISTERED_ACTIONS).select {|entry|
  entry.start_with? '  - '
}
e
registered_actions.each {|entry| e sfancy(entry.chomp) }
e

# =========================================================================== #
# === test_this_action
# =========================================================================== #
def test_this_action(i)
  cliner {
    e
    e "Testing `#{simp(i)}` next:"
    e
    e RBT::UrlAction[i, prefix: :appdir] # Need this to be in an AppDir approach.
    e
  }; e
end

pp RBT::UrlAction
test_this_action('install/htop')
test_this_action('remove/htop')
# =========================================================================== #
# We assume that this will install into /Programs/Aircrackng/1.2
# =========================================================================== #
test_this_action('install/aircrackng/1.2')
# Here, more tests.
e 'And some more tests'
#test_this_action('/rm/wget')
test_this_action('?/strigis')


test_this_action('/i/wget') # Install wget.
test_this_action('/query/wget')
test_this_action('/q/wget')
test_this_action('q')
test_this_action('q/xchat')
test_this_action('lösche/dummy/1.0')
test_this_action('remove/wget/1.11.3')
test_this_action('i/xchat')
test_this_action('/install/libksba/latest/--with-gnu-ld --with-pic')
x = RBT::UrlAction.new '/remove/libksba'
# urla(/i/libnotify)
x = RBT::UrlAction.new 'i/xchat'
x = RBT::UrlAction.new 'entferne/nano'
turl